<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Compito</title>
    <style>

        *
        {
           margin: 0;
           padding: 0;
           box-sizing: border-box; 
        }
        .gallery
        {
            display:grid;
            grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
            grid-column-gap: 20px;
            grid-row-gap: 20px;
        }
        .gallery img
        {
            width: 100%;
        }

    </style>
</head>
<body>

    <div class="gallery">
        <img src = "https://placeimg.com/640/480/animals" alt=""/>
        <img src = "https://placeimg.com/640/480/arch" alt=""/>
        <img src = "https://placeimg.com/640/480/nature" alt=""/>
        <img src = "https://placeimg.com/640/480/people" alt=""/>
        <img src = "https://placeimg.com/640/480/tech" alt=""/>
    </div>

</body>
</html>